[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TEventType

Log event type

## Declaration

Source position: osutilsh.inc line 57

`type TEventType = (`
`etCustom,` |  | Custom log event, with application-specific meaning
`etInfo,` |  | General information event message
`etWarning,` |  | Warning message
`etError,` |  | Error condition message
`etDebug` |  | Debug message.
`);`

## Description

TEventType is a type to be used by logging mechanisms (in particular, the TCustomApplication and TEventLog classes. It can be used to filter events, and write only certain types of event to the event log.

Documentation generated on: Feb 26 2014